Storage Resource Manager Query Datastore Performance Summary

Storage Resource Manager Query Datastore Performance Summary
Returns datastore summary performance statistics.

Deprecated as of vSphere8.0 U3, and there is no replacement for it.

Returns datastore summary performance statistics.

This is an experimental interface that is not intended for use in production code.

Required privileges: System.View

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/StorageResourceManager/{moId}/QueryDatastorePerformanceSummary
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case StorageResourceManager/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
Required

Show optional properties

{
    "datastore": {}
}
{
    "datastore": {
        "_typeName": "string",
        "type": "string",
        "value": "string"
    }
}
datastore
Required

Datastore for which summary statistics is requested.

Authentication
This operation uses the following authentication methods.
Responses
200

Summary performance statistics for the datastore. The summary contains latency, throughput, and SIOC activity.

[
    {
        "_typeName": "string",
        "interval": 0,
        "percentile": [
            0
        ],
        "datastoreReadLatency": [
            "number"
        ],
        "datastoreWriteLatency": [
            "number"
        ],
        "datastoreVmLatency": [
            "number"
        ],
        "datastoreReadIops": [
            "number"
        ],
        "datastoreWriteIops": [
            "number"
        ],
        "siocActivityDuration": 0
    }
]
array of object
Optional

Deprecated as of vSphere8.0 U3, and there is no replacement for it.

Summary statistics for datastore performance The statistics are reported in aggregated quantiles over a time period


500

NotFound: if input datastore cannot be found

Returns NotFound of type(s) application/json
This response body class contains all of the following: VimFault
{
    "_typeName": "string",
    "faultCause": {
        "_typeName": "string",
        "faultCause": "MethodFault Object",
        "faultMessage": [
            {
                "_typeName": "string",
                "key": "string",
                "arg": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "value": {
                            "_typeName": "string"
                        }
                    }
                ],
                "message": "string"
            }
        ]
    },
    "faultMessage": [
        {
            "_typeName": "string",
            "key": "string",
            "arg": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": {
                        "_typeName": "string"
                    }
                }
            ],
            "message": "string"
        }
    ]
}

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"datastore":"{}"}' https://{api_host}/sdk/vim25/{release}/StorageResourceManager/{moId}/QueryDatastorePerformanceSummary